CONVERTTYPE(1)

NAME
ConvertType - convert known data types to each other

SYNOPSIS
astconvertt [OPTION...] InputFile1 [InputFile2] ... [InputFile4]

DESCRIPTION
ConvertType is part of GNU Astronomy Utilities 0.18. ConvertType will convert any of the known input formats to any other of the known formats. The output file will have the same number of pixels.

For more information, please run any of the following commands. In particular the second contains a very comprehensive explanation of ConvertType's invocation: expected input(s), output(s), and a full description of all the options.

All options and their values:
    $ astconvertt -P

Inputs/Outputs and options:
    $ info astconvertt

Full section in manual/book:
    $ info ConvertType

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

ConvertType options:

    Input:

-g, --globalhdu=STR/INT
    Use this HDU for all inputs, ignore '--hdu'.

-h, --hdu=STR/INT
    FITS input HDU, multiple calls possible.

--stdintimeout=INT
    Micro-seconds to wait for standard input.

    Output:

-b, --borderwidth=INT
    EPS/PDF border width in units of 1/72 inch.

--colormap=STR[,FLT]
    Color map when only a single channel is given.

-D, --dontdelete
    Don't delete output if it exists.

-K, --keepinputdir
    Keep input directory for automatic output.

-o, --output=STR
    Output filename or suffix.

--rgbtohsv
    Convert RGB input into HSV (in FITS output)

-u, --quality=INT
    Quality of output JPEG image (1 to 100).

--wcslinearmatrix=STR
    WCS linear matrix of output ('pc' or 'cd').

-w, --widthincm=FLT
    Width in units of centimeters.

-x, --hex
    Hexadecimal encoding in EPS. Default: ASCII85.

    Flux:

-A, --forcemin
    Force --fluxmin, even when smaller than minimum.

-B, --forcemax
    Force --fluxmax, even when larger than maximum.

-c, --change=STR
    Change pixel values 'from_1:to_1,from_2:to_2'.

-C, --changeaftertrunc
    First truncate then change pixel values.

-H, --fluxhigh=FLT
    Higher flux truncation value.

-i, --invert
    Invert the values in JPEG and EPS/PDF.

-L, --fluxlow=FLT
    Lower flux truncation value.

-m, --maxbyte=INT
    Maximum byte value for all color channels.

    Operating modes:

-?, --help
    give this help list

--checkconfig
    List all config files and variables read.

--cite
    BibTeX citation for this program.

--config=STR
    Read configuration file STR immediately.

--lastconfig
    Do not parse any more configuration files.

--log
    Information about output(s) in a log file.

--minmapsize=INT
    Min. bytes to avoid RAM automatically.

-N, --numthreads=INT
    Number of CPU threads to use.

--onlyversion=STR
    Only run if the program version is STR.

-P, --printparams
    Print parameter values to be used and abort.

--quietmmap
    Don't print mmap'd file's name and size.

-q, --quiet
    Only report errors, remain quiet about steps.

-S, --setdirconf
    Set default values for this directory and abort.

--usage
    give a short usage message

-U, --setusrconf
    Set default values for this user and abort.

-V, --version
    print program version

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2022 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for ConvertType is maintained as a Texinfo manual. If the info and ConvertType programs are properly installed at your site, the command

    info ConvertType

should give you access to the complete manual.